/*
  quota.h

  functions which emulate the functionality of system calls
  with quota stuff added
*/

#ifndef __QUOTA_H
#define __QUOTA_H

#include "limit.h"
#include <sys/types.h>

ssize_t quota_write( struct limit *l, int f, const void *b, size_t c );
int quota_truncate( struct limit *l, const char *p, off_t len );
int quota_ftruncate( struct limit *l, int f, off_t len );
ssize_t quota_pwrite( struct limit *l, int f, const void *b, size_t c,
		      off_t o );
ssize_t quota_full_pwrite( struct limit *l, int fd, const void *buf,
			   size_t count, off_t offset );
int quota_link( struct limit *l, const char *o, const char *n );
int quota_mkdir( struct limit *l, const char *p, mode_t m );
int quota_rmdir( struct limit *l, const char *p );
int quota_open( struct limit *lf, struct limit *ld, const char *p, int f,
		mode_t m );
//int quota_symlink( struct limit *lf, struct limit *ld, const char *o,
//		   const char *n );
int quota_unlink( struct limit *lf, struct limit *ld, const char *p );

#endif
